Subject: Re: [dhcwg] I-D ACTION:draft-das-mipshop-andsf-dhcp-options-06.txt

From: Ted Lemon <[email-masked]>
Date: Mon, 11 Oct 2010 12:23:12 -0700

Subir, Gabor, I just read the new draft, and I have a couple of requests.

First, please delete sections 4.1.2 and 4.2.2.   DHCP option specifications should never specify DHCP server behavior unless server behavior is different than that defined in RFC3315 or RFC2131/2132.

In the security considerations section, you might want to add a reference to RFC3315, section 21, to complement the reference to RFC3118, which is DHCPv4-only.   Also, for the two-byte integer quantities, I think you should specify that they are in network byte order, to avoid confusion.

Thanks!

---

From: Subir Das <[email-masked]>
Date: Tue, 12 Oct 2010 12:44:10 -0400

Ted,

> First, please delete sections 4.1.2 and 4.2.2.   DHCP option specifications should never specify DHCP server behavior unless server behavior is different than that defined in RFC3315 or RFC2131/213…
      I understand but some 3GPP folks (who are the consumers of this) 
made comment earlier that we should describe both mobile node and server 
node behaviors in this document.  We had the text but finally decided to 
refer to  RFCs instead of duplicating it  per your earlier comment.
> In the security considerations section, you might want to add a reference to RFC3315, section 21, to complement the reference to RFC3118, which is DHCPv4-only.
        Will do.
> Also, for the two-byte integer quantities, I think you should specify that they are in network byte order, to avoid confusion.
      Will do.

     Thanks

     -Subir

---

From: Ted Lemon <[email-masked]>
Date: Tue, 12 Oct 2010 10:04:38 -0700

On Oct 12, 2010, at 9:44 AM, Subir Das wrote:
>     I understand but some 3GPP folks (who are the consumers of this) made comment earlier that we should describe both mobile node and server node behaviors in this document.  We had the text but finally decided to refer to  RFCs instead of duplicating it  per your earlier comment.

The 3gpp folks should not be writing DHCP specifications against the recommendations of the DHC working group.   If they want to come to the wg and try to get consensus on that language, that's fine--right now I'm the only one criticizing it.   But unless they are willing to do that, please remove it--it does not belong there.   DHCP option specifications specify what options look like and how they are used.   They do not specify DHCP client or server behavior.

---

From: Subir Das <[email-masked]>
Date: Tue, 12 Oct 2010 13:08:09 -0400

Ok.

---

From: Ted Lemon <[email-masked]>
Date: Tue, 12 Oct 2010 10:46:35 -0700

Thanks!